Bug 509206 - Cleanup references to Xen in Action types
Cleanup references to Xen in Action types
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Virtualization (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Jiri Kastner
:
Depends On:
Blocks: sat540-blockers
  Show dependency treegraph
 
Reported: 2009-07-01 14:51 EDT by Brad Buckingham
Modified: 2010-10-28 10:50 EDT (History)
7 users (show)

See Also:
Fixed In Version: satellite-schema-5.4.0.4-1 spacewalk-schema-1.2.21-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 10:50:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brad Buckingham 2009-07-01 14:51:15 EDT
Description of problem:

There are several action types that include "Xen" in the text description.  If possible, it would be good to make those references generic so that it supports other types in the future (e.g. KVM).

Examples from rhnActionType_data.sql include:

insert into rhnActionType values (36, 'virt.shutdown', 'Shuts down a Xen domain.', 'N', 'N');
insert into rhnActionType values (37, 'virt.start', 'Starts up a Xen domain.', 'N', 'N');
insert into rhnActionType values (38, 'virt.suspend', 'Suspends a Xen domain.', 'N', 'N');
insert into rhnActionType values (39, 'virt.resume', 'Resumes a Xen domain.', 'N', 'N');
insert into rhnActionType values (40, 'virt.reboot', 'Reboots a Xen domain.', 'N', 'N');
insert into rhnActionType values (41, 'virt.destroy', 'Destroys a Xen Domain.', 'N', 'N');
insert into rhnActionType values (42, 'virt.setMemory', 'Sets the maximum memory usage for a Xen domain.', 'N', 'N');
insert into rhnActionType values (48, 'virt.setVCPUs', 'Sets the Vcpu  usage for a Xen domain.', 'N', 'N');

Could be changed to: 

insert into rhnActionType values (36, 'virt.shutdown', 'Shuts down a virtual domain.', 'N', 'N');
insert into rhnActionType values (37, 'virt.start', 'Starts up a virtual domain.', 'N', 'N');
insert into rhnActionType values (38, 'virt.suspend', 'Suspends a virtual domain.', 'N', 'N');
insert into rhnActionType values (39, 'virt.resume', 'Resumes a virtual domain.', 'N', 'N');
insert into rhnActionType values (40, 'virt.reboot', 'Reboots a virtual domain.', 'N', 'N');
insert into rhnActionType values (41, 'virt.destroy', 'Destroys a virtual Domain.', 'N', 'N');
insert into rhnActionType values (42, 'virt.setMemory', 'Sets the maximum memory usage for a virtual domain.', 'N', 'N');
insert into rhnActionType values (48, 'virt.setVCPUs', 'Sets the Vcpu  usage for a virtual domain.', 'N', 'N');


Version-Release number of selected component (if applicable):
5.3.0

How reproducible:
Always

Steps to Reproduce:
1. Initiate any of the above actions from the UI and see the reference to Xen or can select the rows from the rhnActionType directly.
2.
3.
  
Actual results:
Xen included

Expected results:
something generic

Additional info:
Comment 4 Jiri Kastner 2010-10-06 09:02:20 EDT
SQL> select count(*) from rhnActionType where name like '%domain%';

  COUNT(*)
----------
	 8

SQL> select count(*) from rhnActionType where name like '%Xen%';

  COUNT(*)
----------
	 0

SQL> select count(*) from rhnActionType where name like '%xen%';

  COUNT(*)
----------
	 0
Comment 5 Michael Mráka 2010-10-20 10:40:33 EDT
Verified in stage.

[root@hp-bl685cg6-01 ~]# sqlplus $(spacewalk-cfg-get default_db)

SQL*Plus: Release 10.2.0.4.0 - Production on Wed Oct 20 10:38:29 2010
Copyright (c) 1982, 2007, Oracle.  All Rights Reserved.
Connected to:
Oracle Database 10g Enterprise Edition Release 10.2.0.4.0 - 64bit Production
With the Partitioning, OLAP, Data Mining and Real Application Testing options

SQL> select count(*) from rhnActionType where name like '%domain%';
  COUNT(*)
----------
         8

SQL> select count(*) from rhnActionType where name like '%Xen%';
  COUNT(*)
----------
         0

SQL> select count(*) from rhnActionType where name like '%xen%';
  COUNT(*)
----------
         0
Comment 6 Clifford Perry 2010-10-28 10:45:06 EDT
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.